View all methods

workflowRuns.addLink

Associate a link with a Workflow Run.

Facts

Method POST https://api.getdx.com/workflowRuns.addLink
Required scope workflowRuns:writeEvents

Arguments

Required arguments

Name Type Description
token Token Auth token passed as an HTTP header.
workflow_run_id Text The unique ID of the Workflow Run.
link Workflow Run Link The link to add.

Example request

This is a typical request:

curl -X POST https://api.getdx.com/workflowRuns.addLink \
  -H 'Accepts: application/json' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer xxxx-xxxxxxxxx-xxxx' \
  --data '{
    "workflow_run_id": "4vyq52b7b4a4",
    "link": {
      "url": "https://example.com",
      "label": "Example Website"
    }
  }'

Example response

This is a typical success response:

{
  "ok": true,
  "event": {
    "id": "nh653m5hkjgk",
    "workflow_run_id": "4vyq52b7b4a4",
    "type": "ADD_LINK",
    "message": null,
    "occurred_at": "2025-07-28T17:23:34.404Z",
    "data": {
      "link": {
        "url": "https://example.com",
        "label": "Example Website"
      }
    }
  }
}

Errors

This table lists the expected errors that this method could return. However, other errors can be returned in the case where the service is down or other unexpected factors affect processing. Callers should always check the value of the ok param in the response.

Error Description
not_authed No authentication token provided.
invalid_auth Some aspect of authentication cannot be validated.
e>